Subject: Re: [PATCH net-next] net/fsl: xgmac_mdio: fix return value check in xgmac_mdio_probe()

From: Tobias Waldekranz <[email-masked]>
Date: Sat, 29 Jan 2022 17:22:15 +0100

On Sat, Jan 29, 2022 at 01:27, Wei Yongjun <[email-masked]> wrote:
> In case of error, the function devm_ioremap() returns NULL pointer
> not ERR_PTR(). The IS_ERR() test in the return value check should
> be replaced with NULL test.
>
> Fixes: 1d14eb15dc2c ("net/fsl: xgmac_mdio: Use managed device resources")
> Reported-by: Hulk Robot <[email-masked]>
> Signed-off-by: Wei Yongjun <[email-masked]>

Reviewed-by: Tobias Waldekranz <[email-masked]>

Sorry about that. I started out by using devm_ioremap_resource, which
uses the in-band error signaling, and forgot to match the guard when I
changed it.

I see that this was reported by your CI, do you mind me asking what it
is running in the back-end? At least my version of sparse does not seem
to catch this.